Subject: Re: bug#15991: 24.3.50; Wishlist: Make test suite user-friendlier

From: Andreas Röhler <[email-masked]>
Date: Fri, 27 Jun 2014 12:00:19 +0200

On 27.06.2014 08:00, Eli Zaretskii wrote:
>> Date: Fri, 27 Jun 2014 07:45:57 +0200
>> From: Andreas Röhler <[email-masked]>
>>
>>>> I guess it would be OK, if $GDB could be set to "gdb --args".  Thanks.
>>>
>>> Could you do it? :)
>>> I confess I don't know quite where you want it to go...
>>
>> testing and debugging are quite different things.
>> IMO it's not a good idea mixing these.
>
> I'm not sure I understand what you are saying.  When a test fails,
> don't you want to debug Emacs to understand why and find a solution?
>
> So yes, testing and debugging are different things, but when a test
> fails, one frequently needs to debug Emacs.
>
>

That depends. IIUC it's about making it more user friendly.
Perspective of users is different from core developers.

So if, say 10 from 100 tests fail, it doesn't mean to start a debug.
Maybe just taking notice and look, if it matters for current task.

We had that matter already WRT steep learning curve.
Keeping things apart if possible is important.

Best,

Andreas